Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIScripts

    java.lang.Object
      javax.faces.component.UIComponent
          org.richfaces.component.UITransient
              org.richfaces.component.UIScripts

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.javascript.ScriptsHolder

    public class UIScripts

extends UITransient
implements org.richfaces.javascript.ScriptsHolder

This component user to render Client Validator scripts. Any ClientValidatorBehavior that requires additional scripts should put them to this component, associated with "form" target in view resources.

Author:
  asmirnov@exadel.com

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIScripts()`

Method Summary
`protected java.lang.Object` | `getAttribute(java.lang.Object key)`
`java.lang.String` | `getFamily()`
`java.util.Collection<java.lang.Object>` | `getPageReadyScripts()`
`java.util.Collection<java.lang.Object>` | `getScripts()`
`java.lang.String` | `getTarget()`
`protected boolean` | `hasAttribute(java.lang.Object key)`
`protected java.lang.Object` | `setAttribute(java.lang.String key, java.lang.Object value)`
`void` | `setTarget(java.lang.String target)`

Methods inherited from class org.richfaces.component.UITransient
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression`

Methods inherited from class javax.faces.component.UIComponent
`clearInitialState, encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFacetCount, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, invokeOnComponent, isCompositeComponent, isInView, isVisitable, markInitialState, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIScripts

    public UIScripts()

Method Detail

### getScripts

    public java.util.Collection<java.lang.Object> getScripts()

  Specified by:
    `getScripts` in interface `org.richfaces.javascript.ScriptsHolder`

### getPageReadyScripts

    public java.util.Collection<java.lang.Object> getPageReadyScripts()

  Specified by:
    `getPageReadyScripts` in interface `org.richfaces.javascript.ScriptsHolder`

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### setTarget

    public void setTarget(java.lang.String target)

### getTarget

    public java.lang.String getTarget()

### hasAttribute

    protected boolean hasAttribute(java.lang.Object key)

  Specified by:
    `hasAttribute` in class `UITransient`

### setAttribute

    protected java.lang.Object setAttribute(java.lang.String key,
                                            java.lang.Object value)

  Specified by:
    `setAttribute` in class `UITransient`

### getAttribute

    protected java.lang.Object getAttribute(java.lang.Object key)

  Specified by:
    `getAttribute` in class `UITransient`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.